function gui_demo()

f = figure('Visible','off','Position',[360,500,450,285]);


hsurf = uicontrol('Style','slider','String','Gamma',...
          'Position',[315,220,100,50],...
          'Max',10,'Min',0,...
          'Callback',{@surfbutton_Callback});
      
ha = axes('Units','Pixels','Position',[50,60,200,185]); 
        

align(hsurf,'Center','None')

% Initialize the GUI.
   % Change units to normalized so components resize 
   % automatically.
   set([f,ha,hsurf],'Units','normalized');
   % Assign the GUI a name to appear in the window title.
   set(f,'Name','Simple GUI')
   % Move the GUI to the center of the screen.
   movegui(f,'center')
   % Make the GUI visible.
   set(f,'Visible','on');
 
   
end
function surfbutton_Callback(source,eventdata) 
   % Display surf plot of the currently selected data.
   surf(current_data);
end